Issue 78524 - Auto-capitalisation of letter "i" hinders Automatic numbering (New entry in Engl. AutoCorr list)
Summary: Auto-capitalisation of letter "i" hinders Automatic numbering (New entry in E...
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: 680m214
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: numbering
Depends on:
Blocks:
 
Reported: 2007-06-15 12:54 UTC by stefan.baltzer
Modified: 2013-08-07 14:38 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description stefan.baltzer 2007-06-15 12:54:18 UTC
SBA: To reproduce: 
 - New Writer doc
 - Ensure that the text language is English (US or UK).
 - type "i. TEST<ENTER>"
expected:
"            i.  TEST
            ii. "
(An indent and applied numbering i, ii, iii, ...)
But because of the immediate replacement i->I, the result is
"I. TEST"

Proposal for a solution: (Only) when "i." is written at the beginning of a new
paragraph, the replacement shall NOT be applied so that the AutoCorrect event
"Apply numbering" can work as before.
Comment 1 stefan.baltzer 2007-06-15 12:57:38 UTC
SBA: The issue that introduced the modificated AutoCorrect replacement list was
issue 72912.
Put HDE on cc.
Comment 2 stefan.baltzer 2007-06-15 13:06:41 UTC
SBA: put mru on cc.
Comment 3 Oliver Specht 2007-06-15 14:54:00 UTC
This  side effects is not going to be fixed anytime soon. My proposal is to
remove issue 72912.

Comment 4 discoleo 2007-06-15 18:56:17 UTC
> This  side effects is not going to be fixed anytime soon.
> My proposal is to remove issue 72912.

Well, BUT "i" => "I" is needed in EVERY English document, while the usecase for
"i.", "ii.", ... is much more rare.

I definitely think that this issue MUST be fixed, but NOT by removing the
previous issue.

Maybe ADD on the menu-bar (of English OOo) a button to toggle this behaviour on/off?
Comment 5 stefan.baltzer 2007-07-02 13:17:55 UTC
SBA->FL: Yet another option? 
Note: This affects English only (i->I is only in English AutoCorrect list).
As noted in issue 72912, automatic numbering (i. ii. iii....) as well as
scinentific/mathematical texts are affected.
Comment 6 frank.loehmann 2007-09-05 08:52:29 UTC
Set target to OOo later due to OOo 2.4 being the last 2.x version. Numbering
iTeam will evaluate this issues soon, to identify issues for 3.0.
Comment 7 jr 2009-10-18 20:44:51 UTC
setting keyword "numbering"